[arch-commits] Commit in pyrex/trunk (ChangeLog LICENSE PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jun 7 10:05:47 EDT 2010


    Date: Monday, June 7, 2010 @ 10:05:47
  Author: jgc
Revision: 81990

upgpkg: pyrex 0.9.9-1
Update to 0.9.9:
- remove changelog, no need for one that is not updated and contains only version bumps
- change license to Apache license

Modified:
  pyrex/trunk/PKGBUILD
Deleted:
  pyrex/trunk/ChangeLog
  pyrex/trunk/LICENSE

-----------+
 ChangeLog |    9 ---------
 LICENSE   |    2 --
 PKGBUILD  |   20 ++++++++++----------
 3 files changed, 10 insertions(+), 21 deletions(-)

Deleted: ChangeLog
===================================================================
--- ChangeLog	2010-06-07 13:59:04 UTC (rev 81989)
+++ ChangeLog	2010-06-07 14:05:47 UTC (rev 81990)
@@ -1,9 +0,0 @@
-2008-09-05  Eric Belanger  <eric at archlinux.org>
-
-	* pyrex 0.9.8.5-1
-	* Added license
-
-2008-07-06  Douglas Soares de Andrade  <douglas at archlinux.org>
-
-	* Updating for x86_64 - 0.9.8.4
-

Deleted: LICENSE
===================================================================
--- LICENSE	2010-06-07 13:59:04 UTC (rev 81989)
+++ LICENSE	2010-06-07 14:05:47 UTC (rev 81990)
@@ -1,2 +0,0 @@
-Pyrex is free of restrictions. You may use, redistribute, modify and
-distribute modified versions.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-07 13:59:04 UTC (rev 81989)
+++ PKGBUILD	2010-06-07 14:05:47 UTC (rev 81990)
@@ -1,21 +1,21 @@
 # $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
 # Contributor: Arjan timmerman <arjan at soulfly.nl>
 # Contributor: Link Dupont <link at subpop.net>
-# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=pyrex
-pkgver=0.9.8.5
-pkgrel=2
+pkgver=0.9.9
+pkgrel=1
 pkgdesc="Language for writing Python extension modules"
 arch=("i686" "x86_64")
 url="http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/"
-license=('custom')
-depends=('python>=2.5')
-source=(http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-${pkgver}.tar.gz LICENSE)
-md5sums=('3b3d8397c2c9a58fc59a90e2b49c651a' 'f40400d28306b23414017a1da7f2e30d')
+license=('APACHE')
+depends=('python>=2.6')
+source=(http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-${pkgver}.tar.gz)
+md5sums=('515dee67d15d4393841e2d60e8341947')
 
 build() {
-    cd ${startdir}/src/Pyrex-${pkgver}
-    python setup.py install --root=${startdir}/pkg --prefix=/usr
-    install -D -m644 ../LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
+  cd "${srcdir}/Pyrex-${pkgver}"
+  python setup.py install --root="${pkgdir}" --prefix=/usr || return 1
 }



More information about the arch-commits mailing list